# This file contains the fastlane.tools configuration
# You can find the documentation at https://docs.fastlane.tools
#
# For a list of all available actions, check out
#
#     https://docs.fastlane.tools/actions
#
# For a list of all available plugins, check out
#
#     https://docs.fastlane.tools/plugins/available-plugins
#

# Uncomment the line if you want fastlane to automatically update itself
# update_fastlane

default_platform(:ios)

platform :ios do
  desc "Make a new beta build"
  lane :beta do
    increment_build_number(xcodeproj: "Lanu.xcodeproj")
    cocoapods
    build_app(
      workspace: "Lanu.xcworkspace", 
      export_method: "ad-hoc",
      export_options: {
        signingStyle: "automatic",
        # provisioningProfiles: {
        #   "com.jiehe.lanu" => "/Users/apple/Downloads/embedded.mobileprovision",
        # }
      },
      clean: true,
      output_directory: "output/", # Destination directory. Defaults to current directory.
      derived_data_path: "build/", # Destination directory. Defaults to current directory.
      scheme: "Lanu"
      )
  end
end
